Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706680 - media-sound/bluez-alsa-2.1.0 : fails to build with -fno-common or gcc-10
Summary: media-sound/bluez-alsa-2.1.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:31 UTC by Toralf Förster
Modified: 2020-05-20 11:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.56 KB, text/plain)
2020-01-27 17:31 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,69.86 KB, text/plain)
2020-01-27 17:31 UTC, Toralf Förster
Details
environment (environment,87.35 KB, text/plain)
2020-01-27 17:31 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.85 KB, application/x-bzip)
2020-01-27 17:31 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.63 KB, application/x-bzip)
2020-01-27 17:31 UTC, Toralf Förster
Details
media-sound:bluez-alsa-2.1.0:20200127-063010.log (media-sound:bluez-alsa-2.1.0:20200127-063010.log,30.11 KB, text/plain)
2020-01-27 17:31 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.58 KB, application/x-bzip)
2020-01-27 17:31 UTC, Toralf Förster
Details
Fix linkage - patch made for v2.1.0 (0001-Fix-linkage-mark-external-variable-as-extern.patch,4.69 KB, patch)
2020-02-09 21:37 UTC, Arkadiusz Bokowy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:31:07 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/media-sound/bluez-alsa-2.1.0/work/bluez-alsa-2.1.0/src -I..    -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -O2 -pipe -march=native -fno-common -c -o main.o /var/tmp/portage/media-sound/bluez-alsa-2.1.0/work/bluez-alsa-2.1.0/src/main.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I/var/tmp/portage/media-sound/bluez-alsa-2.1.0/work/bluez-alsa-2.1.0/src -I..    -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -O2 -pipe -march=native -fno-common -c -o upower.o /var/tmp/portage/media-sound/bluez-alsa-2.1.0/work/bluez-alsa-2.1.0/src/upower.c
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o bluealsa shared/ffb.o shared/log.o shared/rt.o a2dp.o at.o ba-adapter.o ba-device.o ba-transport.o bluealsa.o bluealsa-dbus.o bluealsa-iface.o bluez.o bluez-a2dp.o bluez-iface.o hci.o rfcomm.o sco.o utils.o main.o   upower.o -lfdk-aac -lbluetooth -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lglib-2.0 -lsbc  -lpthread -lm 
libtool: link: x86_64-pc-linux-gnu-gcc -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -pthread -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -O2 -pipe -march=native -fno-common -Wl,-O1 -o bluealsa shared/ffb.o shared/log.o shared/rt.o a2dp.o at.o ba-adapter.o ba-device.o ba-transport.o bluealsa.o bluealsa-dbus.o bluealsa-iface.o bluez.o bluez-a2dp.o bluez-iface.o hci.o rfcomm.o sco.o utils.o main.o upower.o  -Wl,--as-needed -lfdk-aac -lbluetooth -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lsbc -lpthread -lm -pthread
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: bluealsa-iface.o:(.data.rel.ro.local+0x4c0): multiple definition of `bluealsa_iface_rfcomm'; bluealsa-dbus.o:(.rodata+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: bluealsa-iface.o:(.data.rel.ro.local+0x500): multiple definition of `bluealsa_iface_pcm'; bluealsa-dbus.o:(.rodata+0x40): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 05:26:15 +0000

emerge -qpvO media-sound/bluez-alsa
[ebuild  N    ] media-sound/bluez-alsa-2.1.0  USE="aac upower -debug -hcitop -ldac -ofono -static-libs -test" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:31:10 UTC
Created attachment 605308 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:31:13 UTC
Created attachment 605310 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:31:16 UTC
Created attachment 605312 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:31:19 UTC
Created attachment 605314 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:31:21 UTC
Created attachment 605316 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:31:24 UTC
Created attachment 605318 [details]
media-sound:bluez-alsa-2.1.0:20200127-063010.log
Comment 7 Toralf Förster gentoo-dev 2020-01-27 17:31:27 UTC
Created attachment 605320 [details]
temp.tbz2
Comment 8 Arkadiusz Bokowy 2020-02-09 21:37:28 UTC
Created attachment 613132 [details, diff]
Fix linkage - patch made for v2.1.0

I think, this bug should be fixed by https://github.com/Arkq/bluez-alsa/commit/30a23dd7ce9b00c702fa48545f6b03038f9e17c6 (available in current bluez-alsa master).
Comment 9 Andrew Udvare 2020-05-20 10:45:18 UTC
Ran into this issue. The patch works for me.
Comment 10 Larry the Git Cow gentoo-dev 2020-05-20 11:41:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6752a6eacf490069b294be8fa97e59ef3b7d8577

commit 6752a6eacf490069b294be8fa97e59ef3b7d8577
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2020-05-20 11:40:30 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2020-05-20 11:41:41 +0000

    media-sound/bluez-alsa: Fixed build with gcc10
    
    Thanks-to: Arkadiusz Bokowy <arkadiusz.bokowy@gmail.com>
    Closes: https://bugs.gentoo.org/706680
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 media-sound/bluez-alsa/bluez-alsa-2.1.0.ebuild     |   4 +
 .../bluez-alsa/files/bluez-alsa-2.1.0-gcc10.patch  | 145 +++++++++++++++++++++
 2 files changed, 149 insertions(+)